summaryrefslogtreecommitdiffstats
path: root/source/a/mkinitrd/mkinitrd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mkinitrd/mkinitrd.SlackBuild')
-rwxr-xr-xsource/a/mkinitrd/mkinitrd.SlackBuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/source/a/mkinitrd/mkinitrd.SlackBuild b/source/a/mkinitrd/mkinitrd.SlackBuild
index 58dc341de..6b5070396 100755
--- a/source/a/mkinitrd/mkinitrd.SlackBuild
+++ b/source/a/mkinitrd/mkinitrd.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mkinitrd
VERSION=${VERSION:-1.4.11}
BB=1.32.1
-BUILD=${BUILD:-25}
+BUILD=${BUILD:-26}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -122,6 +122,8 @@ chmod 755 $PKG/sbin/mkinitrd
( cd $PKG/sbin ; zcat $CWD/mkinitrd.tempfile.to.mktemp.patch.gz | patch --verbose || exit 1) || exit 1
# Patch mkinitrd to bail on no temp directory:
( cd $PKG/sbin ; zcat $CWD/0002-bail-if-temp-dir-is-not-created.patch.gz | patch -p1 --verbose || exit 1) || exit 1
+# Don't include 40-usb_modeswitch.rules on the initrd:
+( cd $PKG/sbin ; zcat $CWD/0003-blacklist.40-usb_modeswitch.rules.patch.gz | patch -p1 --verbose || exit 1) || exit 1
rm -f $PKG/sbin/mkinitrd.orig
mkdir -p $PKG/usr/man/man{5,8}